import spacetime from 'spacetime';

const clockContainer = document.querySelector('#clock p');

const getTime = () => {
  const d = spacetime(new Date(), 'Europe/Zurich');
  return d.format('{hour-24-pad}:{minute-pad}:{second-pad}');
};

const setTime = () => {
  clockContainer.innerHTML = `<span class="time">${getTime()}</span> (CEST)`;
};

const clock = () => {
  if (clockContainer)
  {
    setTime();
    setInterval(setTime, 1000);
  }
};

export default clock;
