import countdown from 'countdown';

const banner = document.getElementById('full-banner');
const cdTime = banner?.querySelector('.cd-time');
let bannerVisible = false;

function getCountdown() {
  return countdown(
    new Date(),
    new Date('Wed Sep 18 2020 10:30:00 GMT+0200 (Central European Summer Time)'),
    0,
    3)
    .toString();
}

function setCountdown() {
  const cd = getCountdown();
  if (cdTime.innerHTML !== cd) {
    cdTime.innerHTML = cd;
  }
}

const countdownBanner = () => {
  if (banner) {
    banner.classList.add('hidden');
    getCountdown();

    if (!bannerVisible) {
      banner.classList.remove('hidden');
      bannerVisible = true;
    }

    setInterval(setCountdown, 1000);
  }
}

export default countdownBanner;
